Page MenuHomePhabricator

EditCounter: show number of files renamed
Closed, ResolvedPublicFeature

Description

The live Edit Counter tool is at https://xtools.wmflabs.org/ec
Example result page: https://xtools.wmflabs.org/ec/en.wikipedia.org/GoldenRing

The XTools code repository: https://github.com/x-tools/xtools

The "Files renamed" field should go under the "Files" section in the left column.

A file rename is actually just a page move, but in the File namespace.

What needs updating code-wise:

Event Timeline

MusikAnimal moved this task from Inbox to Other on the XTools board.
Base added a subscriber: Base.Oct 19 2017, 8:31 PM
MusikAnimal updated the task description. (Show Details)Nov 15 2017, 10:09 PM

Myself and the XTools team are available for mentoring this task. You can find us on IRC in the #wikimedia-xtools channel.

MusikAnimal updated the task description. (Show Details)Nov 15 2017, 10:11 PM
MusikAnimal updated the task description. (Show Details)
MusikAnimal updated the task description. (Show Details)Nov 15 2017, 10:38 PM

I read incorrectly. This is a 2-3 hour task for an inexperienced contributor, which I believe makes it too good first task for GCI. We will find more suitable tasks.

Matthewrbowker moved this task from Other to Working on the XTools board.
MusikAnimal moved this task from Working to Edit Counter on the XTools board.Dec 6 2018, 9:40 AM
MusikAnimal changed the subtype of this task from "Task" to "Feature Request".Mar 20 2019, 7:27 AM
MusikAnimal moved this task from Edit Counter to Pending deployment on the XTools board.
MusikAnimal added a subscriber: Matthewrbowker.
MusikAnimal closed this task as Resolved.Jul 11 2019, 3:07 AM
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.